## ide-object-box ide-object-box |

## Functions

IdeObjectBox * | ide_object_box_new ()
gpointer | ide_object_box_ref_object ()
IdeObjectBox * | ide_object_box_from_object ()
gboolean | ide_object_box_contains ()

## Properties

GObject * | object | Read / Write / Construct Only
gboolean | propagate-disposal | Read / Write / Construct Only

## Types and Values

#define | IDE_TYPE_OBJECT_BOX
| IdeObjectBox

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeObjectBox

## Description

## Functions

### ide_object_box_new ()

    IdeObjectBox *
    ide_object_box_new (GObject *object);

Create a new IdeObjectBox.

#### Returns

a newly created IdeObjectBox.

[transfer full]

Since: 3.32

### ide_object_box_ref_object ()

    gpointer
    ide_object_box_ref_object (IdeObjectBox *self);

Gets the boxed object.

#### Parameters

self | an IdeObjectBox |

#### Returns

a GObject or `NULL`.

[transfer full][nullable][type GObject]

Since: 3.32

### ide_object_box_from_object ()

    IdeObjectBox *
    ide_object_box_from_object (GObject *object);

Gets the IdeObjectBox that contains `object` , if any.

This function may only be called from the main thread.

#### Parameters

object | a GObject |

#### Returns

an IdeObjectBox.

[transfer none]

Since: 3.32

### ide_object_box_contains ()

    gboolean
    ide_object_box_contains (IdeObjectBox *self,
                             gpointer instance);

Checks if `self` contains `instance` .

#### Parameters

self | a IdeObjectBox |
instance | a GObject or `NULL`. | [type GObject][nullable]

#### Returns

`TRUE` if “object” matches `instance`

Since: 3.32

## Types and Values

### IDE_TYPE_OBJECT_BOX

    #define IDE_TYPE_OBJECT_BOX (ide_object_box_get_type())

### IdeObjectBox

    typedef struct _IdeObjectBox IdeObjectBox;

## Property Details

### The `“object”` property

      “object”                   GObject *

The "object" property contains the object that is boxed and placed onto the object graph using this box.

Owner: IdeObjectBox

Flags: Read / Write / Construct Only

Since: 3.32

### The `“propagate-disposal”` property

      “propagate-disposal”       gboolean

The "propagate-disposal" property denotes if the “object” property contents should have `g_object_run_dispose()` called when the IdeObjectBox is destroyed.

This is useful when you want to force disposal of an external object when `self` is removed from the object tree.

Owner: IdeObjectBox

Flags: Read / Write / Construct Only

Default value: TRUE

Since: 3.32